#include "stdafx.h"

color::color() {
	this->r = 0;
	this->g = 0;
	this->b = 0;
	this->a = 0;
}

color::color(float red, float green, float blue, float alpha) {
	this->r = red / 255.0f;
	this->g = green / 255.0f;
	this->b = blue / 255.0f;
	this->a = alpha / 255.0f;
}

color colorRed = color(255, 0, 0, 255);
color colorGreen = color(0, 255, 0, 255);
color colorBlue = color(0, 0, 255, 255);
color colorWhite = color(255, 255, 255, 255);

color colorYellow = color(255, 255, 0, 255);
color colorBackground = color(26.7, 26.7, 26.7, 229.5);//0.105, 0.105, 0.105, 0.9

//vec4_t colorAccentPrimary{ 0.08, 0.86, 0.45, 1 };
//vec4_t secondaryColor{ 0.08, 0.45, 0.86, 1 };

color colorAccentPrimary = color(20, 220, 114, 255);
color colorAccentPrimary_dark = color(15.3, 164.4, 86, 255);
color secondaryColor = color(20.4, 114.75, 219.3, 255);
color secondaryColor_dark = color(15.3, 86, 164.4, 255);
color colorAccentSecondary;
color colorSeperator = color(68.85, 68.85, 68.85, 255);